__doc__ = """Initialization module. 

This module is used by App.ProductContext (or something else buried deep 
in the guts of Zope which ends up calling App.ProductContext) to provide 
product meta-data and perform any run-time initialization of a product 
that happens to be required. Since this product is Boring, all we're doing 
is defining the meta-data."""

__version__ = '1.0'

import ZGsCounter

def initialize(context): 
	try: 
		context.registerClass(
		ZGsCounter.ZGsCounter,
		constructors = (
	                ZGsCounter.manage_addZGsCounterForm,
        	        ZGsCounter.manage_addZGsCounter),                                          
		icon = 'cntfldr.gif'
		)
	except:        
		import sys, traceback, string
		type, val, tb = sys.exc_info()
		sys.stderr.write(string.join(traceback.format_exception(type, val, tb), ''))
		del type, val, tb
